#from https://fedoraproject.org to https://openeuler.org/

Summary:        Command line tool that displays bandwidth usage on an interface
Name:           iftop
Version:        1.0pre4
Release:        1
License:        GPLv2+
URL:            http://www.ex-parrot.com/~pdw/%{name}/
Source0:        http://www.ex-parrot.com/~pdw/%{name}/download/%{name}-%{version}.tar.gz
Patch0:         iftop-1.0-ncursesw.patch
Patch1:         iftop-1.0-git20181003.patch
Patch2:         iftop-1.0-gcc10.patch
BuildRequires:  gcc, make, ncurses-devel, libpcap-devel

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .ncursesw
touch -c -r configure.ac{.ncursesw,}
%patch1 -p1 -b .git20181003
%patch2 -p1 -b .gcc10

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*

%changelog
* Fri Mar 19 2021 wangyueliang <wangyueliang@kylinos.cn> - 1.0-1
- package init